Package: org.gmetrics.ant

## [Groovy] Class GMetricsTask

- org.gmetrics.ant.GMetricsTask

- Ant Task for GMetrics.

  The `metricSetFile` property specifies the path to a Groovy MetricSet definition file. By default, the path specified is relative to the classpath, but it may be optionally prefixed by any of the valid java.net.URL prefixes, such as "file:" (to load from a relative or absolute path on the filesystem), or "http:". The `metricSetFile` property is optional. If not specified, it uses the set of `Metric`s defined by `DefaultMetricSet`.

  At least one nested `fileset` element is required, and is used to specify the source files to be analyzed. This is the standard Ant FileSet, and is quite powerful and flexible. See the Apache Ant Manual for more information on FileSets.

  The `report` nested element defines the type and report-specific options for the output report. The <ode>report element includes a `type` attribute (which specifies the fully-qualified class name of the `ReportWriter` class) and can contain nested `option` elements. Each `option`, in turn, must include a `name` and `value` attribue. Currently, the `BasicHtmlReportWriter` class (org.gmetrics.report.BasicHtmlReportWriter) is the only report type provided.
  See Also:
  Authors:
    Chris Mair
  Version:
    \$Revision: 95 \$ - \$Date: 2010-03-08 22:00:10 -0500 (Mon, 08 Mar 2010) \$

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected def` | `createGMetricsRunner` |
    `protected List` | `fileSets` |
    `protected List` | `reportWriters` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `metricSetFile`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addConfiguredReport(Report report)` Ant-defined method (by convention), called with each instance of a nested <report> element within this task.
    `` | `void` | `addFileset(org.apache.tools.ant.types.FileSet fileSet)` Ant-defined method (by convention), called with each instance of a nested <fileset> element within this task.
    `` | `void` | `execute()` Execute this Ant Task

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class org.apache.tools.ant.Task`

    `org.apache.tools.ant.Task#log(java.lang.Throwable, int), org.apache.tools.ant.Task#log(java.lang.String, int), org.apache.tools.ant.Task#log(java.lang.String), org.apache.tools.ant.Task#log(java.lang.String, java.lang.Throwable, int), org.apache.tools.ant.Task#init(), org.apache.tools.ant.Task#execute(), org.apache.tools.ant.Task#maybeConfigure(), org.apache.tools.ant.Task#getTaskName(), org.apache.tools.ant.Task#getOwningTarget(), org.apache.tools.ant.Task#getTaskType(), org.apache.tools.ant.Task#setTaskType(java.lang.String), org.apache.tools.ant.Task#setTaskName(java.lang.String), org.apache.tools.ant.Task#setOwningTarget(org.apache.tools.ant.Target), org.apache.tools.ant.Task#getRuntimeConfigurableWrapper(), org.apache.tools.ant.Task#reconfigure(), org.apache.tools.ant.Task#perform(), org.apache.tools.ant.Task#bindToOwner(org.apache.tools.ant.Task), org.apache.tools.ant.Task#setRuntimeConfigurableWrapper(org.apache.tools.ant.RuntimeConfigurable), org.apache.tools.ant.Task#clone(), org.apache.tools.ant.Task#getLocation(), org.apache.tools.ant.Task#setLocation(org.apache.tools.ant.Location), org.apache.tools.ant.Task#getDescription(), org.apache.tools.ant.Task#getProject(), org.apache.tools.ant.Task#setDescription(java.lang.String), org.apache.tools.ant.Task#setProject(org.apache.tools.ant.Project), org.apache.tools.ant.Task#equals(java.lang.Object), org.apache.tools.ant.Task#toString(), org.apache.tools.ant.Task#hashCode(), org.apache.tools.ant.Task#getClass(), org.apache.tools.ant.Task#notify(), org.apache.tools.ant.Task#notifyAll(), org.apache.tools.ant.Task#wait(long), org.apache.tools.ant.Task#wait(long, int), org.apache.tools.ant.Task#wait()`

    `class org.apache.tools.ant.ProjectComponent`

    `org.apache.tools.ant.ProjectComponent#clone(), org.apache.tools.ant.ProjectComponent#log(java.lang.String), org.apache.tools.ant.ProjectComponent#log(java.lang.String, int), org.apache.tools.ant.ProjectComponent#getLocation(), org.apache.tools.ant.ProjectComponent#setLocation(org.apache.tools.ant.Location), org.apache.tools.ant.ProjectComponent#getDescription(), org.apache.tools.ant.ProjectComponent#getProject(), org.apache.tools.ant.ProjectComponent#setDescription(java.lang.String), org.apache.tools.ant.ProjectComponent#setProject(org.apache.tools.ant.Project), org.apache.tools.ant.ProjectComponent#equals(java.lang.Object), org.apache.tools.ant.ProjectComponent#toString(), org.apache.tools.ant.ProjectComponent#hashCode(), org.apache.tools.ant.ProjectComponent#getClass(), org.apache.tools.ant.ProjectComponent#notify(), org.apache.tools.ant.ProjectComponent#notifyAll(), org.apache.tools.ant.ProjectComponent#wait(long), org.apache.tools.ant.ProjectComponent#wait(long, int), org.apache.tools.ant.ProjectComponent#wait()`

- - ### Field Detail

    - #### protected def createGMetricsRunner

    - #### protected List fileSets

    - #### protected List reportWriters

  - ### Property Detail

    - #### String metricSetFile

  - ### Method Detail

    - #### void addConfiguredReport(Report report)

      Ant-defined method (by convention), called with each instance of a nested <report> element within this task.

    - #### void addFileset(org.apache.tools.ant.types.FileSet fileSet)

      Ant-defined method (by convention), called with each instance of a nested <fileset> element within this task.

    - #### void execute()

      Execute this Ant Task